Index: trunk/sources/HeuristicLab.Operators/3.3/AddVariableInfoDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/AddVariableInfoDialog.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/AddVariableInfoDialog.cs	(revision 2520)
@@ -29,4 +29,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Core.Views;
 
 namespace HeuristicLab.Operators {
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 2520)
@@ -118,12 +118,4 @@
 
     /// <summary>
-    /// Creates a new instance of <see cref="CombinedOperatorView"/> to display the current instance.
-    /// </summary>
-    /// <returns>The created view as <see cref="CombinedOperatorView"/>.</returns>
-    public override IView CreateView() {
-      return new CombinedOperatorView(this);
-    }
-
-    /// <summary>
     /// Occurs when the description of the current instance has been changed.
     /// </summary>
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.Designer.cs	(revision 2520)
@@ -47,11 +47,11 @@
       this.tabControl = new System.Windows.Forms.TabControl();
       this.operatorGraphTabPage = new System.Windows.Forms.TabPage();
-      this.operatorGraphView = new HeuristicLab.Core.OperatorGraphView();
+      this.operatorGraphView = new HeuristicLab.Core.Views.OperatorGraphView();
       this.variableInfosTabPage = new System.Windows.Forms.TabPage();
-      this.operatorBaseVariableInfosView = new HeuristicLab.Core.OperatorBaseVariableInfosView();
+      this.operatorBaseVariableInfosView = new HeuristicLab.Core.Views.OperatorBaseVariableInfosView();
       this.variablesTabPage = new System.Windows.Forms.TabPage();
-      this.operatorBaseVariablesView = new HeuristicLab.Core.OperatorBaseVariablesView();
+      this.operatorBaseVariablesView = new HeuristicLab.Core.Views.OperatorBaseVariablesView();
       this.constraintsTabPage = new System.Windows.Forms.TabPage();
-      this.constrainedItemBaseView = new HeuristicLab.Core.ConstrainedItemBaseView();
+      this.constrainedItemBaseView = new HeuristicLab.Core.Views.ConstrainedItemBaseView();
       this.descriptionTabPage = new System.Windows.Forms.TabPage();
       this.descriptionTextBox = new System.Windows.Forms.TextBox();
@@ -242,8 +242,8 @@
     private System.Windows.Forms.TabPage descriptionTabPage;
     private System.Windows.Forms.TextBox descriptionTextBox;
-    private HeuristicLab.Core.OperatorGraphView operatorGraphView;
-    private HeuristicLab.Core.OperatorBaseVariableInfosView operatorBaseVariableInfosView;
-    private HeuristicLab.Core.OperatorBaseVariablesView operatorBaseVariablesView;
-    private HeuristicLab.Core.ConstrainedItemBaseView constrainedItemBaseView;
+    private HeuristicLab.Core.Views.OperatorGraphView operatorGraphView;
+    private HeuristicLab.Core.Views.OperatorBaseVariableInfosView operatorBaseVariableInfosView;
+    private HeuristicLab.Core.Views.OperatorBaseVariablesView operatorBaseVariablesView;
+    private HeuristicLab.Core.Views.ConstrainedItemBaseView constrainedItemBaseView;
     private System.Windows.Forms.Button removeVariableInfoButton;
     private System.Windows.Forms.Button addVariableInfoButton;
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperatorView.cs	(revision 2520)
@@ -28,4 +28,6 @@
 using System.Windows.Forms;
 using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
 
 namespace HeuristicLab.Operators {
@@ -33,4 +35,5 @@
   /// The visual representation of a <see cref="CombinedOperator"/>.
   /// </summary>
+  [Content(typeof(CombinedOperator), true)]
   public partial class CombinedOperatorView : ViewBase {
     /// <summary>
@@ -116,5 +119,5 @@
       if (dialog.ShowDialog(this) == DialogResult.OK) {
         if (CombinedOperator.GetVariableInfo(dialog.VariableInfo.FormalName) != null)
-          Auxiliary.ShowErrorMessageBox("A variable info with the same formal name already exists.");
+          HeuristicLab.Core.Views.Auxiliary.ShowErrorMessageBox("A variable info with the same formal name already exists.");
         else
           CombinedOperator.AddVariableInfo(dialog.VariableInfo);
Index: trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 2520)
@@ -143,4 +143,8 @@
       <Name>HeuristicLab.Constraints-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
+      <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
+      <Name>HeuristicLab.Core.Views-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
@@ -150,4 +154,12 @@
       <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
       <Name>HeuristicLab.Data-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.2\HeuristicLab.MainForm.WindowsForms-3.2.csproj">
+      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
+      <Name>HeuristicLab.MainForm.WindowsForms-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm\3.2\HeuristicLab.MainForm-3.2.csproj">
+      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
+      <Name>HeuristicLab.MainForm-3.2</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
Index: trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/HeuristicLabOperatorsPlugin.cs	(revision 2520)
@@ -33,5 +33,8 @@
   [Dependency(Dependency = "HeuristicLab.Constraints-3.3")]
   [Dependency(Dependency = "HeuristicLab.Core-3.3")]
+  [Dependency(Dependency = "HeuristicLab.Core.Views-3.3")]
   [Dependency(Dependency = "HeuristicLab.Data-3.3")]
+  [Dependency(Dependency = "HeuristicLab.MainForm-3.2")]
+  [Dependency(Dependency = "HeuristicLab.MainForm.WindowsForms-3.2")]
   [Dependency(Dependency = "HeuristicLab.Persistence-3.3")]  
   public class HeuristicLabOperatorsPlugin : PluginBase {
Index: trunk/sources/HeuristicLab.Operators/3.3/VariableInjector.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/VariableInjector.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/VariableInjector.cs	(revision 2520)
@@ -103,12 +103,4 @@
     }
 
-    /// <summary>
-    /// Creates a new instance of <see cref="VariableInjectorView"/> to display the current instance.
-    /// </summary>
-    /// <returns>The created view as <see cref="VariableInjectorView"/>.</returns>
-    public override IView CreateView() {
-      return new VariableInjectorView(this);
-    }
-
     [Storable]
     private KeyValuePair<Dictionary<IVariableInfo, IVariable>, Dictionary<IVariable, IVariableInfo>> VariableMappingPersistence {
Index: trunk/sources/HeuristicLab.Operators/3.3/VariableInjectorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/VariableInjectorView.cs	(revision 1927)
+++ trunk/sources/HeuristicLab.Operators/3.3/VariableInjectorView.cs	(revision 2520)
@@ -28,4 +28,6 @@
 using System.Windows.Forms;
 using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
 
 namespace HeuristicLab.Operators {
@@ -33,4 +35,5 @@
   /// Visual representation of <see cref="VariableInjector"/>.
   /// </summary>
+  [Content(typeof(VariableInjector), true)]
   public partial class VariableInjectorView : OperatorBaseView {
     /// <summary>
